#!/bin/bash
set -e
echo "Installing easy-soc-libs"
pwd

cd /opt/dev
rm -fr easy-soc-libs
git clone https://dev.iopsys.eu/iopsys/easy-soc-libs.git
cd easy-soc-libs
git checkout devel
cd libeasy
make CFLAGS+="-I/usr/include/libnl3"
mkdir -p /usr/include/easy
cp easy.h event.h utils.h debug.h /usr/include/easy
cp -a libeasy*.so* /usr/lib
cd ../libwifi
make PLATFORM=TEST
cp wifi.h /usr/include
cp -a libwifi-6.so* /usr/lib
sudo ldconfig

cd /opt/dev
rm -rf wifimngr
git clone https://dev.iopsys.eu/iopsys/wifimngr.git
cd wifimngr
git checkout devel
make
cp -a wifimngr /usr/sbin


cd /opt/dev
rm -rf jsonpath
git clone https://git.openwrt.org/project/jsonpath.git
cd jsonpath
cmake .
make
cp -a jsonpath /usr/bin/jsonfilter

apt update
apt install -y bridge-utils iproute2 gawk
